Bug 815479 - /owners/<INVALID-ORG>/servicelevels response has changed
Summary: /owners/<INVALID-ORG>/servicelevels response has changed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager
Version: 6.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 6.3
Assignee: William Poteat
QA Contact: Entitlement Bugs
URL:
Whiteboard:
Depends On:
Blocks: 738066
TreeView+ depends on / blocked
 
Reported: 2012-04-23 16:55 UTC by John Sefler
Modified: 2012-06-20 12:56 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-20 12:56:46 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2012:0804 0 normal SHIPPED_LIVE subscription-manager bug fix and enhancement update 2012-06-19 19:51:31 UTC

Description John Sefler 2012-04-23 16:55:57 UTC
Description of problem:
I have an automated test that attempts to get servicelevels with credentials to an unknown org.  The response seems to have changed.


THE ORIGINAL stderr RESPONSE FROM subscription-manager WAS:
[root@jsefler-r63-server ~]# subscription-manager service-level --list --username=testuser1 --password=password --org=adminX
Organization with id adminX could not be found




NOW THE RESPONSE FROM AN ON-PREMISE MASTER CANDLEPIN IS:

[root@jsefler-r63-server ~]# subscription-manager service-level --list --username=testuser1 --password=password --org=adminX
ERROR: The service-level command is not supported by the server.

2012-04-23 12:36:10,409 [DEBUG]  @connection.py:329 - Making request: GET /candlepin/owners/adminX/servicelevels
2012-04-23 12:36:10,497 [DEBUG]  @connection.py:343 - Response status: 404




AND THE RESPONSE FROM THE STAGE ENVIRONMENT IS:
[root@jsefler-r63-workstation ~]# subscription-manager service-level --list --username stage_test_12 --password redhat --org 6532865X
Access Forbidden

2012-04-23 12:42:13,450 [DEBUG]  @connection.py:329 - Making request: GET /subscription/owners/6532865X/servicelevels
2012-04-23 12:42:14,248 [DEBUG]  @connection.py:343 - Response status: 403
2012-04-23 12:42:14,252 [ERROR]  @managercli.py:608 - Access Forbidden
Traceback (most recent call last):
  File "/usr/share/rhsm/subscription_manager/managercli.py", line 605, in _do_command
    self.list_service_levels()
  File "/usr/share/rhsm/subscription_manager/managercli.py", line 648, in list_service_levels
    raise e
RestlibException: Access Forbidden
2012-04-23 12:42:14,255 [ERROR]  @managercli.py:609 - Error: Unable to retrieve service levels: Access Forbidden





Version-Release number of selected component (if applicable):
STAGE: candlepin-jboss: 0.5.26.3-1.el6_2
ON-PREMISE "version":"0.5.27"
[root@jsefler-f14-candlepin candlepin]# git show-ref | grep master
9d003d54eed5c25dbd45d6fdd99f0180503b1b4a refs/heads/master
9d003d54eed5c25dbd45d6fdd99f0180503b1b4a refs/remotes/origin/master


The original behavior is the friendliest.  What should it be now?

Comment 1 William Poteat 2012-05-01 12:29:27 UTC
subscription manager commit 701b271be0c115838d75583f930d592bfaca61a0

Comment 2 John Sefler 2012-05-03 19:55:06 UTC
Attempting to Verify Version....
[root@jsefler-63server ~]# rpm -q subscription-manager
subscription-manager-0.99.16-1.git.0.d83a355.el6_2.x86_64


[root@jsefler-63server ~]# subscription-manager service-level --list --username testuser1 --password password --org admin
+-------------------------------------------+
               Available Service Levels
+-------------------------------------------+
Standard
None
Premium
[root@jsefler-63server ~]# subscription-manager service-level --list --username testuser1 --password password --org adminX
ERROR: The service-level command is not supported by the server.


[root@jsefler-63server ~]# tail /var/log/rhsm/rhsm.log
2012-05-03 15:36:29,417 [DEBUG]  @connection.py:329 - Making request: GET /candlepin/owners/adminX/servicelevels
2012-05-03 15:36:29,463 [DEBUG]  @connection.py:343 - Response status: 404


^^^ WITH COMMENT 1 APPLIED, I STILL GET THE SAME RESPONSE AS IN COMMENT 0.
Moving Back to NEW/FailedQA

Comment 4 Michael Stead 2012-05-08 14:37:35 UTC
Looks like this may not have been tested against the latest code. Moving back to modified.

Comment 7 Shwetha Kallesh 2012-05-09 09:50:30 UTC
Marking verified!

[root@skallesh product]# subscription-manager service-level --list --org adminX
Organization with id adminX could not be found.


RPM:

[root@skallesh product]# rpm -qa| grep subscription-manager
subscription-manager-debuginfo-0.99.16-1.el6.x86_64
subscription-manager-firstboot-0.99.17-1.git.0.ba3d75c.el6.x86_64
subscription-manager-0.99.17-1.git.0.ba3d75c.el6.x86_64
subscription-manager-migration-0.99.17-1.git.0.ba3d75c.el6.x86_64
subscription-manager-gnome-0.99.17-1.git.0.ba3d75c.el6.x86_64
subscription-manager-migration-data-1.12.1.8-1.git.0.c91a246.el6.noarch

Comment 9 errata-xmlrpc 2012-06-20 12:56:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2012-0804.html


Note You need to log in before you can comment on or make changes to this bug.